> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve validity dates incl. prices

> Paginated endpoint returning available validity dates incl their respective available capacity and expected price range.



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/booking/products/{productId}/journey/validities
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/booking/products/{productId}/journey/validities:
    get:
      tags:
        - booking
      summary: Retrieve validity dates incl. prices
      description: >-
        Paginated endpoint returning available validity dates incl their
        respective available capacity and expected price range.
      operationId: getValidities
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: productId
          in: path
          required: true
          schema:
            type: number
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: formState
          in: query
          required: false
          schema:
            type: object
            properties:
              attributes:
                type: object
                additionalProperties:
                  type: string
              validity:
                type: object
                properties:
                  from:
                    type: string
                  to:
                    type: string
                required:
                  - from
                  - to
              allocation:
                oneOf:
                  - type: object
                    properties: {}
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - quantity
                      value:
                        type: number
                    required:
                      - kind
                      - value
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - persontype
                      values:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  enum:
                                    - anonymous
                                quantity:
                                  type: number
                                personType:
                                  type: string
                              required:
                                - kind
                                - quantity
                                - personType
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  enum:
                                    - personalized
                                personIds:
                                  type: array
                                  items:
                                    type: number
                                personType:
                                  type: string
                              required:
                                - kind
                                - personIds
                                - personType
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  enum:
                                    - discounted
                                quantity:
                                  type: number
                                personType:
                                  type: string
                                discountCardTypeId:
                                  type: number
                              required:
                                - kind
                                - quantity
                                - personType
                                - discountCardTypeId
                    required:
                      - kind
                      - values
            required:
              - attributes
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/V2025_02_18_GetValiditiesResponse'
                required:
                  - data
components:
  schemas:
    V2025_02_18_GetValiditiesResponse:
      type: object
      properties:
        options:
          type: array
          items:
            $ref: '#/components/schemas/ValidityOptionWithPrice'
        hasCapacities:
          type: boolean
        availableDurations:
          type: array
          items:
            $ref: '#/components/schemas/AvailableDuration'
        selectionMode:
          type: string
          enum:
            - single
            - range
      required:
        - options
        - hasCapacities
        - availableDurations
        - selectionMode
    ValidityOptionWithPrice:
      type: object
      properties:
        value:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
        availableCapacity:
          oneOf:
            - $ref: '#/components/schemas/AvailableCapacityRange'
            - $ref: '#/components/schemas/AvailableCapacityExact'
            - $ref: '#/components/schemas/AvailableCapacityUnlimited'
        label:
          type: string
        isAvailable:
          type: boolean
        price:
          $ref: '#/components/schemas/PriceRange'
      required:
        - value
        - availableCapacity
        - label
        - isAvailable
        - price
    AvailableDuration:
      type: object
      properties:
        value:
          type: string
        label:
          type: string
      required:
        - value
        - label
    AvailableCapacityRange:
      type: object
      properties:
        kind:
          type: string
          enum:
            - range
        min:
          type: number
        max:
          type: number
      required:
        - kind
        - min
        - max
    AvailableCapacityExact:
      type: object
      properties:
        kind:
          type: string
          enum:
            - exact
        value:
          type: number
      required:
        - kind
        - value
    AvailableCapacityUnlimited:
      type: object
      properties:
        kind:
          type: string
          enum:
            - unlimited
      required:
        - kind
    PriceRange:
      type: object
      properties:
        minPrice:
          type: number
        maxPrice:
          type: number
      required:
        - minPrice
        - maxPrice

````